# eoEDA< EOT > Class Template Reference

eoEDA: Estimation of Distribution Algorithm within EO More...

`#include <eoEDA.h>`

Inheritance diagram for eoEDA< EOT >:

List of all members.

## Detailed Description

### template<class EOT>
class eoEDA< EOT >

eoEDA: Estimation of Distribution Algorithm within EO

The abstract class for algorithms that evolve a probability distribution on the spaces of populations rather than a population

It IS NOT an eoAlgo, as it evolves a distribution, not a population

Definition at line 41 of file eoEDA.h.

The documentation for this class was generated from the following file:

- eoEDA.h